import time
from telemetrix_rpi_pico import telemetrix_rpi_pico
import kuukar.kuukar_leds as kuukar_leds
import kuukar.kuukar_collision as kuukar_collision
import kuukar.kuukar_motion as kuukar_motion
import kuukar.kuukar_lcd as kuukar_lcd
import kuukar.kuukar_sensors as kuukar_sensors
import kuukar.kuukar_environment as kuukar_environment

from kuukar.kuukar_config import SERIAL_MCU, SERIAL_DRV

mcu = telemetrix_rpi_pico.TelemetrixRpiPico(com_port=SERIAL_MCU)
drv = telemetrix_rpi_pico.TelemetrixRpiPico(com_port=SERIAL_DRV)
sensors = kuukar_sensors.sensors(mcu)
leds = kuukar_leds.leds(mcu)
motion = kuukar_motion.motion(mcu, drv, leds, sensors)
lcd = kuukar_lcd.lcd(motion, sensors)
environment = kuukar_environment.environment(lcd, leds, sensors)
collision = kuukar_collision.collision(mcu, lcd, leds)

while True:
    temp = sensors.get_temperature()
    humid = sensors.get_humidity_pct()
    dist1 = sensors.sonar_get_distance(0)
    dist2 = sensors.sonar_get_distance(1)
    dist3 = sensors.sonar_get_distance(2)
    print(f'temp: {temp}, humidity: {humid}, dist1: {dist1}, dist2: {dist2}, dist3: {dist3}')
    time.sleep(1)
